AST(3)

NAME
ast - miscellaneous libast support

SYNOPSIS
    #include <ast.h>

DESCRIPTION
returns the number of rows in *rows and the number of columns *col for the terminal file descriptor fd. If the number of rows or columns cannot be determined or if fd is not a terminal then *rows and *cols are set to If ioctl (2) methods fail then the environment variable is used to set *rows and the environment variable is used to set *cols.

SEE ALSO
getconf(1), confstr(2), mmap(2), pathconf(2), read(2), sysconf(2), write(2)